diff -ruN --exclude=CVS /usr/ports/x11-fonts/fontmatrix/Makefile /home/makc/porting/ports/x11-fonts/fontmatrix/Makefile
--- /usr/ports/x11-fonts/fontmatrix/Makefile	2008-02-17 02:18:46.000000000 +0300
+++ /home/makc/porting/ports/x11-fonts/fontmatrix/Makefile	2008-04-07 01:02:45.000000000 +0400
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	fontmatrix
-DISTVERSION=	0.3.1
+DISTVERSION=	0.4.1
 DISTVERSIONSUFFIX=	-Source
 CATEGORIES=	x11-fonts
 MASTER_SITES=	http://www.fontmatrix.net/archives/
@@ -18,7 +18,7 @@
 RUN_DEPENDS=	${LOCALBASE}/share/icons/hicolor/index.theme:${PORTSDIR}/misc/hicolor-icon-theme
 
 USE_QT_VER=	4
-QT_COMPONENTS=	gui xml moc_build uic_build rcc_build qmake_build
+QT_COMPONENTS=	gui xml moc_build uic_build rcc_build qmake_build linguist_build
 INSTALLS_ICONS=	yes
 MAKE_ENV+=	VERBOSE=1
 
@@ -40,18 +40,14 @@
 
 post-patch:
 	cd ${WRKSRC}/src && \
-	    ${REINPLACE_CMD} -e 's:/usr/bin/fontforge:${LOCALBASE}/bin/fontforge:g' \
-	    prefs_panel.ui \
-	    typotek.cpp \
-	    messages/fontmatrix_no.ts \
-	    messages/fontmatrix_en.ts \
-	    messages/fontmatrix_nl.ts \
-	    messages/fontmatrix_fr.ts \
-	    messages/fontmatrix_sr.ts \
-	    messages/fontmatrix_sv.ts \
-	    messages/fontmatrix_fi.ts \
-	    messages/fontmatrix_de.ts \
-	    messages/fontmatrix_da.ts
+		${REINPLACE_CMD} -e 's:/usr/bin/fontforge:${LOCALBASE}/bin/fontforge:g' \
+		prefs_panel.ui \
+		typotek.cpp
+
+pre-configure:
+	cd ${WRKSRC}/src/messages && \
+		${LOCALBASE}/bin/lupdate-qt4 -noobsolete ../ -ts *.ts && \
+		${LOCALBASE}/bin/lrelease-qt4 *.ts
 
 do-configure:
 	cd ${WRKSRC} && ${SETENV} ${CONFIGURE_ENV} ${CMAKE} ${CMAKE_ARGS}
diff -ruN --exclude=CVS /usr/ports/x11-fonts/fontmatrix/distinfo /home/makc/porting/ports/x11-fonts/fontmatrix/distinfo
--- /usr/ports/x11-fonts/fontmatrix/distinfo	2008-02-17 02:18:46.000000000 +0300
+++ /home/makc/porting/ports/x11-fonts/fontmatrix/distinfo	2008-04-06 15:11:47.000000000 +0400
@@ -1,3 +1,3 @@
-MD5 (fontmatrix-0.3.1-Source.tar.gz) = 173b3354e0e3d03a60e3c1fd1d790b37
-SHA256 (fontmatrix-0.3.1-Source.tar.gz) = 2f4e752b2fa6f1e5406277d4a46989b5b2943deda756a88a45a46b5e66a721c8
-SIZE (fontmatrix-0.3.1-Source.tar.gz) = 455920
+MD5 (fontmatrix-0.4.1-Source.tar.gz) = 2ea05655034ad1347db276500f429b01
+SHA256 (fontmatrix-0.4.1-Source.tar.gz) = bc3edf55407c1cac9a4936f022cb49d556e0c86e6305f7f0d7a7f2b44a5372b2
+SIZE (fontmatrix-0.4.1-Source.tar.gz) = 656424
diff -ruN --exclude=CVS /usr/ports/x11-fonts/fontmatrix/files/patch-src__prefspaneldialog.h /home/makc/porting/ports/x11-fonts/fontmatrix/files/patch-src__prefspaneldialog.h
--- /usr/ports/x11-fonts/fontmatrix/files/patch-src__prefspaneldialog.h	1970-01-01 03:00:00.000000000 +0300
+++ /home/makc/porting/ports/x11-fonts/fontmatrix/files/patch-src__prefspaneldialog.h	2008-04-07 01:16:01.000000000 +0400
@@ -0,0 +1,11 @@
+--- ./src/prefspaneldialog.h.orig	2008-04-06 13:47:45.000000000 +0400
++++ ./src/prefspaneldialog.h	2008-04-07 01:12:12.000000000 +0400
+@@ -12,7 +12,7 @@
+ #ifndef PREFSPANELDIALOG_H
+ #define PREFSPANELDIALOG_H
+ 
+-#include <qdialog.h>
++#include <QDialog>
+ #include <ui_prefs_panel.h>
+ 
+ 
